1. 25 May, 2021 2 commits
    • Hans-Christoph Steiner's avatar
      339cc7d6
    • Hans-Christoph Steiner's avatar
      tests do not pass with python-django >= 2.4 · 291e769a
      Hans-Christoph Steiner authored
      ************* Module repomaker.settings
      repomaker/settings.py:1:0: E5110: Django was not configured. For more information run pylint --load-plugins=pylint_django --help-msg=django-not-configured (django-not-configured)
      ************* Module repomaker
      repomaker/__init__.py:1:0: E5110: Django was not configured. For more information run pylint --load-plugins=pylint_django --help-msg=django-not-configured (django-not-configured)
      ************* Module repomaker.urls
      repomaker/urls.py:1:0: E5110: Django was not configured. For more information run pylint --load-plugins=pylint_django --help-msg=django-not-configured (django-not-configured)
      ************* Module repomaker.tasks
      repomaker/tasks.py:1:0: E5110: Django was not configured. For more information run pylint --load-plugins=pylint_django --help-msg=django-not-configured (django-not-configured)
      
      And pylint-django 2.3.x fails with newer pylint:
      Traceback (most recent call last):
        File "/usr/local/bin/pylint", line 10, in <module>
          sys.exit(run_pylint())
        File "/usr/local/lib/python3.7/dist-packages/pylint/__init__.py", line 24, in run_pylint
          PylintRun(sys.argv[1:])
        File "/usr/local/lib/python3.7/dist-packages/pylint/lint/run.py", line 330, in __init__
          linter.load_plugin_modules(plugins)
        File "/usr/local/lib/python3.7/dist-packages/pylint/lint/pylinter.py", line 503, in load_plugin_modules
          module = astroid.modutils.load_module_from_name(modname)
        File "/usr/local/lib/python3.7/dist-packages/astroid/modutils.py", line 212, in load_module_from_name
          return importlib.import_module(dotted_name)
        File "/usr/lib/python3.7/importlib/__init__.py", line 127, in import_module
          return _bootstrap._gcd_import(name[level:], package, level)
        File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
        File "<frozen importlib._bootstrap>", line 983, in _find_and_load
        File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
        File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
        File "<frozen importlib._bootstrap_external>", line 728, in exec_module
        File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
        File "/usr/local/lib/python3.7/dist-packages/pylint_django/__init__.py", line 6, in <module>
          from pylint_django import plugin
        File "/usr/local/lib/python3.7/dist-packages/pylint_django/plugin.py", line 5, in <module>
          from pylint_django.checkers import register_checkers
        File "/usr/local/lib/python3.7/dist-packages/pylint_django/checkers/__init__.py", line 3, in <module>
          from pylint_django.checkers.models import ModelChecker
        File "/usr/local/lib/python3.7/dist-packages/pylint_django/checkers/models.py", line 11, in <module>
          from pylint_django.utils import node_is_subclass, PY3
        File "/usr/local/lib/python3.7/dist-packages/pylint_django/utils.py", line 9, in <module>
          from pylint_django.compat import Uninferable
        File "/usr/local/lib/python3.7/dist-packages/pylint_django/compat.py", line 28, in <module>
          LOAD_CONFIGURATION_SUPPORTED = pylint.__pkginfo__.numversion >= (2, 3)
      TypeError: '>=' not supported between instances of 'str' and 'int'
      291e769a
  2. 24 May, 2021 1 commit
  3. 07 Apr, 2021 1 commit
  4. 19 Nov, 2020 2 commits
  5. 08 Oct, 2020 8 commits
  6. 07 Oct, 2020 17 commits
  7. 10 Jun, 2020 1 commit
  8. 11 Mar, 2019 8 commits